%define _name glib
%define ver_major 2.12
%def_enable static
%def_enable gtk_doc

Name: glib2
Version: %ver_major.13
Release: alt1

Summary: A library of handy utility functions
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Alexey Rusakov <ktirf@altlinux.ru>
Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

# These should be prepared for each major version.
Source1: %name-%ver_major-glib.map
Source2: %name-%ver_major-gobject.map

Provides: lib%name = %version-%release
Obsoletes: lib%name

%define pkgconfig_ver 0.15-alt3.2
%define gtk_doc_ver 1.3
%define intltool_ver 0.33
%define gnome_common_ver 2.8.0

BuildPreReq: pkg-config >= %pkgconfig_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver
BuildPreReq: intltool >= %intltool_ver

BuildRequires: docbook-dtds docbook-style-xsl gcc-c++ indent libgpg-error xml-common xsltproc

%description
GLib is the low-level core library that forms the basis for projects
such as GTK+ and GNOME. It provides data structure handling for C,
portability wrappers, and interfaces for such runtime functionality as
an event loop, threads, dynamic loading, and an object system.

%package devel
Summary: Development files and tools for GLib
Group: Development/C
Requires: %name = %version-%release, pkgconfig
Provides: lib%name-devel = %version
Obsoletes: lib%name-devel

%description devel
GLib is the low-level core library that forms the basis for projects
such as GTK+ and GNOME. It provides data structure handling for C,
portability wrappers, and interfaces for such runtime functionality as
an event loop, threads, dynamic loading, and an object system.

This package provides header files and development tools for GLIB.

%package devel-doc
Summary: Development documentation for GLib
Group: Development/C
Conflicts: %name < %version-%release

%description devel-doc
GLib is the low-level core library that forms the basis for projects
such as GTK+ and GNOME. It provides data structure handling for C,
portability wrappers, and interfaces for such runtime functionality as
an event loop, threads, dynamic loading, and an object system.

This package contains development documentation for GLib.

%if_enabled static
%package devel-static
Summary: Static version of GLib libraries
Group: Development/C
Requires: %name-devel = %version-%release
Provides: lib%name-devel-static = %version
Obsoletes: lib%name-devel-static

%description devel-static
GLib is the low-level core library that forms the basis for projects
such as GTK+ and GNOME. It provides data structure handling for C,
portability wrappers, and interfaces for such runtime functionality as
an event loop, threads, dynamic loading, and an object system.

This package provides GLIB static libraries.
%endif

%prep
%setup -q -n %_name-%version

%__install -p -m644 %SOURCE1 glib/symver.map
%__install -p -m644 %SOURCE2 gobject/symver.map

%build
%configure \
    %{subst_enable static} \
%if_enabled gtk_doc
    --enable-gtk-doc
%endif

%make_build LIBTOOL_EXPORT_OPTIONS=-Wl,--version-script=symver.map
#make -C tests check-TESTS

%install
%make_install DESTDIR=%buildroot \
        LIBRARY_PATH=%buildroot%_libdir install

%__cat <<__SH__ >%name.sh
## This causes GLib2 applications to convert filenames from
## locale encoding to UTF-8. If the locale encoding is already
## UTF-8 then it makes no difference.

export G_BROKEN_FILENAMES=1

# This causes GLib2 applications to convert filenames from
# G_FILENAME_ENCODING encoding to UTF-8.
# Any application can use G_FILENAME_ENCODING for this purposes
# or link natspec library

NATSPEC=/usr/bin/natspec
test -x \$NATSPEC && export G_FILENAME_ENCODING=\`natspec -f\`
__SH__

%__cat <<__CSH__ >%name.csh
## This causes GLib2 applications to convert filenames from
## locale encoding to UTF-8. If the locale encoding is already
## UTF-8 then it makes no difference.

setenv G_BROKEN_FILENAMES 1

# This causes GLib2 applications to convert filenames from
# G_FILENAME_ENCODING encoding to UTF-8.
# Any application can use G_FILENAME_ENCODING for this purposes
# or link natspec library

setenv NATSPEC /usr/bin/natspec
test -x \$NATSPEC && setenv G_FILENAME_ENCODING \`natspec -f\`
__CSH__

%__install -pD -m755 %name.sh %buildroot%_sysconfdir/profile.d/lib%name.sh
%__install -pD -m755 %name.csh %buildroot%_sysconfdir/profile.d/lib%name.csh

%find_lang glib20

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f glib20.lang
%_libdir/*.so.*
%_sysconfdir/profile.d/*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%_libdir/glib-2.0
%_libdir/pkgconfig/*
%_mandir/man?/*
%_datadir/aclocal/*
%_datadir/glib-2.0

%if_enabled gtk_doc
%files devel-doc
%_datadir/gtk-doc/html/*
%endif

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Fri Jul 27 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.13-alt1
- new version 2.12.13 (with rpmrb script)

* Sun May 20 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.12-alt1
- new version (2.12.12)

* Sun Jan 21 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.9-alt1
- new version 2.12.9 (with rpmrb script)

* Fri Jan 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.7-alt1
- new version 2.12.7 (with rpmrb script)

* Tue Oct 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.4-alt2
- enabled building static libraries.
- fixed typos in comments.

* Tue Oct 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.4-alt1
- new version 2.12.4 (with rpmrb script)

* Thu Aug 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.2-alt1
- new version 2.12.2 (with rpmrb script)

* Tue Jul 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version 2.12.1 (with rpmrb script)

* Mon Jul 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- new version (2.12.0)

* Sun May 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.3-alt1
- new version 2.10.3 (with rpmrb script)

* Sat Apr 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.2-alt1
- new version (2.10.2)

* Thu Mar 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.1-alt1
- new version (2.10.1)

* Sun Feb 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.9.6-alt1
- new version
- fixed bug #9005

* Sun Jan 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.9.5-alt1
- new version

* Thu Jan 26 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.9.4-alt1
- new version

* Sat Jan 21 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.6-alt1
- new version

* Sat Jan 21 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.5-alt2
- replaced pkgconfig with pkg-config.

* Wed Jan 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.5-alt1
- new version

* Wed Nov 16 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.4-alt1
- new version

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.3-alt1
- new version

* Tue Sep 27 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Sat Sep 10 2005 Alexey Tourbin <at@altlinux.ru> 2.8.1-alt2
- NMU: introduced GLIB_2.8 ABI interface for new functions in
  libglib-2.0.so.0 and libgobject-2.0.so.0

* Sun Aug 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.1-alt1
- 2.8.1
- Renamed scripts for profile.d so that they go after lang.* scripts
  (thanks to Vitaly Lipatov).

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.5-alt1
- 2.6.5

* Wed Apr 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3
- set G_FILENAME_ENCODING using natspec.

* Fri Feb 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sat Jan 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Dec 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Fri Dec 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.7-alt1
- 2.5.7
- documentation moved to devel-doc subpackage.

* Tue Nov 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt2
- fix #5567 (thanks lav@).

* Sat Nov 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Thu Nov 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Mon Sep 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Mon Aug 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.6-alt1
- 2.4.6

* Sat Jul 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.5-alt1
- 2.4.5
- #4873 fixed in upstream.

* Mon Jul 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.4-alt1.1
- fix g_unescape_uri_string. Thanks lav@ (close #4873).

* Sun Jul 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Fri Jan 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Wed Dec 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt2
- do not package .la files.
- devel-static subpackage is optional now.

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Mon Jun 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Sat Dec 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Wed Nov 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt2
- remove deps on csh by fixing headers of /etc/profile.d files

* Tue Nov 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt2
- glib2.{sh,csh) added (RH).

* Sat Sep 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt1
- 2.0.6
- fixed-ltmain.sh removed, not needed more.
- post/postun scripts improved.
- gcc-3.2 used.

* Fri Jun 14 2002 Igor Androsov <blake@altlinux.ru> 2.0.4-alt1
- New release

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt2
- Return removed in 2.0.1-alt2 fixed-ltmain.sh - fixed not installing
  gobject, module, gthread if host where building not have installed
  glib2-devel

* Tue May 28 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt1
- New release

* Thu May 23 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt2
- clean spec
- added /usr/share/glib-2.0/*

* Sun Mar 31 2002 AEN <aen@logic.ru> 2.0.1-alt1
- new verson

* Wed Mar 27 2002 AEN <aen@logic.ru> 2.0.0-alt1
- release

* Tue Feb 05 2002 AEN <aen@logic.ru> 1.3.12.90-alt2
- .so links moved to devel

* Wed Jan 09 2002 AEN <aen@logic.ru> 1.3.12.90 -alt1
- sources from Rawide

* Wed Oct 17 2001 AEN <aen@logic.ru> 1.3.9-alt1
- new version

* Tue Sep 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.7-alt1
- Renamed to glib2.

* Fri Sep 21 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.7-alt1
- 1.3.7

* Fri Jun 15 2001 AEN <aen@logic.ru> 1.3.6-alt1
- new version
- BuildReq added
- Make patch
* Thu May 31 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.5-alt1
- 1.3.5

* Fri Apr 20 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.4-alt1
- Up to 1.3.4. Cleanup spec, librification, statification

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Mon Nov 20 2000 DindinX <odin@mandrakesoft.com> 1.3.2-3mdk
- redo my patch to best fit glib-1.3.2
- move %%doc to -devel

* Mon Nov 20 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-2mdk
- regenerate Dindinx's patch.

* Sat Nov 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-1mdk
- release

* Wed Nov 15 2000 DindinX <odin@mandrakesoft.com> 1.3.1-1mdk
- version 1.3.1 (first pre2)

